libdap::D4Map Class Reference

`#include <D4Maps.h>`

## Public Member Functions

const Array * | array () const
| D4Map (const string &name, Array *array, Array *parent=0)
const string & | name () const
const Array * | parent () const
| The Array that holds this Map. More...
virtual void | print_dap4 (XMLWriter &xml)
void | set_array (Array *array)
void | set_name (const string &name)
void | set_parent (Array *parent)

## Detailed Description

A 'Map' in DAP4 is an Array in the dataset that is used to provide the domain values for a Coverage (aka a Grid). These Maps are a more general case of the DAP2 'Map vectors' because a DAP4 Map can have N dimensions.

Because the Maps can be shared by any or all of the Arrays in a dataset, they also correspond to the NetCDF/CF notion of a Shared Dimension.

In this implementation of the D4Map, each Map has a name and two weak pointers, one to the Array that holds the domain values and one to the Array that uses the Map. Note that while Maps can be shared by Arrays, each Array has it's own collection of these D4Map objects. This makes processing constraints possible (because it is possible to write different constraints for two arrays that share Maps).

Definition at line 54 of file D4Maps.h.

## Member Function Documentation

## parent()

const Array* libdap::D4Map::parent | ( |  | ) | const

inline

The Array that holds this Map.

Definition at line 74 of file D4Maps.h.

The documentation for this class was generated from the following files:

- D4Maps.h
- D4Maps.cc